Bug 445812 (CVE-2008-2109) - CVE-2008-2109 libid3tag: infinite loop in ID3_FIELD_TYPE_STRINGLIST parsing
Summary: CVE-2008-2109 libid3tag: infinite loop in ID3_FIELD_TYPE_STRINGLIST parsing
Status: CLOSED ERRATA
Alias: CVE-2008-2109
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=gentoo,impact=low,reported=200...
Keywords: Security
Depends On: 445813 445814 445815
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-09 09:31 UTC by Tomas Hoger
Modified: 2016-03-04 10:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 18:29:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-05-09 09:31:08 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2109 to the following vulnerability:

field.c in the libid3tag 0.15.0b library allows context-dependent attackers to cause a denial of service (CPU consumption) via an ID3_FIELD_TYPE_STRINGLIST field that ends in '\0', which triggers an infinite loop.

Refences:
http://bugs.gentoo.org/show_bug.cgi?id=210564
http://www.mars.org/mailman/public/mad-dev/2008-January/001366.html

Comment 1 Tomas Hoger 2008-05-09 09:33:14 UTC
Reproducer can be found in Gentoo bug, patch in report sent to mad-dev list.

Package is in Fedora and EPEL5.

Comment 3 Fedora Update System 2008-05-09 17:49:39 UTC
libid3tag-0.15.1b-6.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-05-09 17:54:25 UTC
libid3tag-0.15.1b-5.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-05-09 17:55:37 UTC
libid3tag-0.15.1b-5.fc7 has been submitted as an update for Fedora 7

Comment 6 Fedora Update System 2008-05-13 15:24:21 UTC
libid3tag-0.15.1b-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-05-14 21:32:19 UTC
libid3tag-0.15.1b-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-05-14 22:13:19 UTC
libid3tag-0.15.1b-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Red Hat Product Security 2008-10-01 18:29:03 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3976
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3757


Note You need to log in before you can comment on or make changes to this bug.